\tikzstyle{sensor}=[circle,fill=orange!70,minimum size=12pt,opacity=1,inner sep=0pt]
\tikzstyle{target}=[circle,fill=cyan!70,minimum size=12pt,opacity=1,inner sep=0pt]

\begin{tikzpicture}[join=bevel,font=\sffamily,auto,on grid,decoration={markings,mark=at position .5 with \arrow{>}}]
    \draw[green] (0,0) circle (4.5cm);
    \draw[green] (0,0) circle (3.5cm);
    \draw[green] (0,0) circle (2.5cm);
    \draw[green] (0,0) circle (1.5cm);
    \draw[green] (0,0) circle (0.5cm);
    \draw[green] (0,0) circle (0.05cm);
    
    \draw[black, dotted] (0,0) circle (4cm);
    \draw[black, dotted] (0,0) circle (3cm);
    \draw[black, dotted] (0,0) circle (2cm);
    \draw[black, dotted] (0,0) circle (1cm);


    \draw[black,->] (10:0.5cm) arc (10:124.6:0.5cm);
    \draw[black,->] (72:1.5cm) arc (72:33.8:1.5cm);
    \draw[black,->] (128:2.5cm) arc (128:151:2.5cm);
    \draw[black,->] (186:3.5cm) arc (186:169.6:3.5cm);
    \draw[black,->] (312:4.5cm) arc (312:324.7:4.5cm);

    \def\nodearray{{(10:0.5cm)/S_1}, {(72:1.5cm)/S_2}, {(128:2.5cm)/S_3}, {(186:3.5cm)/S_4}, {(312:4.5cm)/S_5}}
    \def\targetarray{{(137:1.7cm)/P_1}, {(94:3.4cm)/P_2}, {(13:2.6cm)/P_3}, {(213:2.2cm)/P_4}, {(271:2.9cm)/P_5}, {(45:4.6cm)/P_6}}

    \node[sensor] (S) at (0:0) {$S$};
    \foreach \pos/\name in \nodearray
        \draw[red,dashed] \pos circle (0.5cm);
    \foreach \pos/\name in \nodearray
        \draw[blue,dashed] \pos circle (1.1cm);
    \foreach \pos/\name in \targetarray
        \node[target] (\name) at \pos {$\name$};
    \foreach \pos/\name in \nodearray
        \node[sensor] (\name) at \pos {$\name$};
\end{tikzpicture}
